%define name linuxsms
%define version 0.60
%define release 1mdk

Summary: Cool script to send SMS.
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: xlinuxsms.pl.bz2
Source10: %{name}.16.png.bz2
Source11: %{name}.32.png.bz2
Source12: %{name}.48.png.bz2
Patch0: patch-linuxsms-bindir.patch.bz2
License: GPL
Group: Communications
Url: http://linuxsms.sourceforge.net
BuildRoot: %{_tmppath}/%{name}-buildroot
Buildarch: noarch
Prefix: %{_prefix}

%description
Linuxsms is a cool script in Perl for send short messages to gsm phones
(aka: sms 8-)) written by z0mbie.
Also includes a small Perl script with a GUI for linuxsms.

%prep
%setup
bzcat %{SOURCE1} > xlinuxsms.pl
%patch -p1

%build

%install
%makeinstall
install -d %{buildroot}/%{_miconsdir}
install -d %{buildroot}/%{_liconsdir}
bzcat %{SOURCE10} > $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
bzcat %{SOURCE11} > $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
bzcat %{SOURCE12} > $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
install -d %{buildroot}/%{_menudir}
cat << EOF > %{buildroot}/%{_menudir}/%{name}
?package(linuxsms): needs="x11" section="Applications/Communications" title="Linuxsms"\
 icon="linuxsms.png" command="/usr/bin/xlinuxsms.pl"\
 longtitle="Cool script to send SMS"
EOF

%post
%update_menus

%postun
%update_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755,root,bin)
%{_bindir}/linuxsms
%{_bindir}/xlinuxsms.pl
%defattr(-,root,root,0755)
%doc BUGS CHANGES COPYING README README.ES TODO
%{_mandir}/man1/linuxsms.1.bz2
%dir %{_menudir}
%{_menudir}/%{name}
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%changelog
* Mon Feb 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.60-1mdk
- 0.60

* Sun Jan 05 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.59-1mdk
- 0.59

* Mon Oct 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.57-1mdk
- 0.57

* Mon Oct 07 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.56-1mdk
- 0.56

* Fri Sep 20 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.55-1mdk
- 0.55

* Mon Jul 15 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.49-1mdk
- 0.49

* Mon Jul 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.48-1mdk
- 0.48

* Mon Jun 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.46-1mdk
- 0.46

* Mon Jun 10 2002 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.45-1mdk
- new release

* Mon May 27 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.44-1mdk
- from Juan Manuel Garcia Molina <juanma_gm@wanadoo.es> :
	- Add patch to change the Makefile (avoid static bindir/mandir).
	- Add TCL GUI for linuxsms (aka xlinuxsms.pl).
	- Modify Makefile to include xlinuxsms.pl.
- 0.44

